Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Released 0.19

  • Loading branch information...
commit 5b00678b6d308746a73695a9210824876452e5c1 1 parent fb4d430
@doherty authored
Showing with 27 additions and 19 deletions.
  1. +3 −2 Build.PL
  2. +2 −0  Changes
  3. +3 −2 Makefile.PL
  4. +5 −3 README
  5. +14 −12 README.mkdn
View
5 Build.PL
@@ -24,7 +24,7 @@ my %module_build_args = (
"Mike Doherty <doherty\@cpan.org>"
],
"dist_name" => "Dist-Zilla-PluginBundle-TestingMania",
- "dist_version" => "0.18",
+ "dist_version" => "0.19",
"license" => "perl",
"module_name" => "Dist::Zilla::PluginBundle::TestingMania",
"recommends" => {},
@@ -50,13 +50,14 @@ my %module_build_args = (
"Dist::Zilla::Plugin::Test::Version" => "0.001002",
"Dist::Zilla::Role::PluginBundle::Easy" => 0,
"JSON::PP" => "2.27103",
+ "List::MoreUtils" => 0,
"Moose" => 0,
"Pod::Coverage::TrustPod" => 0,
"Test::CPAN::Meta" => 0,
"Test::Perl::Critic" => 0,
"Test::Version" => "0.07",
"namespace::autoclean" => 0,
- "perl" => "5.010001",
+ "perl" => "5.006",
"strict" => 0,
"warnings" => 0
},
View
2  Changes
@@ -1,6 +1,8 @@
Changelog for Dist::Zilla::PluginBundle::TestingMania
{{$NEXT}}
+
+0.19 2013-03-02
* Allow setting your maximum target perl version explicitly
with max_target_perl [xdg++]
View
5 Makefile.PL
@@ -2,7 +2,7 @@
use strict;
use warnings;
-use 5.010001;
+use 5.006;
use ExtUtils::MakeMaker 6.30;
@@ -49,6 +49,7 @@ my %WriteMakefileArgs = (
"Dist::Zilla::Plugin::Test::Version" => "0.001002",
"Dist::Zilla::Role::PluginBundle::Easy" => 0,
"JSON::PP" => "2.27103",
+ "List::MoreUtils" => 0,
"Moose" => 0,
"Pod::Coverage::TrustPod" => 0,
"Test::CPAN::Meta" => 0,
@@ -58,7 +59,7 @@ my %WriteMakefileArgs = (
"strict" => 0,
"warnings" => 0
},
- "VERSION" => "0.18",
+ "VERSION" => "0.19",
"test" => {
"TESTS" => "t/*.t"
}
View
8 README
@@ -3,7 +3,7 @@ NAME
testing plugin conceivable
VERSION
- version 0.18
+ version 0.19
SYNOPSIS
In dist.ini:
@@ -62,8 +62,10 @@ DESCRIPTION
for what that means.
* Dist::Zilla::Plugin::Test::MinimumVersion, which tests for the
- minimum required version of perl. See Test::MinimumVersion for
- details, including limitations.
+ minimum required version of perl. Give the highest version of perl
+ you intend to require as "max_target_perl". The generated test will
+ fail if you accidentally used features from a version of perl newer
+ than that. See Test::MinimumVersion for details and limitations.
* Dist::Zilla::Plugin::MojibakeTests, which tests for the correct
source/documentation character encoding.
View
26 README.mkdn
@@ -4,7 +4,7 @@ Dist::Zilla::PluginBundle::TestingMania - test your dist with every testing plug
# VERSION
-version 0.18
+version 0.19
# SYNOPSIS
@@ -29,10 +29,10 @@ dist.
- [Dist::Zilla::Plugin::Test::Perl::Critic](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::Test::Perl::Critic), which checks your code against best
practices. See [Test::Perl::Critic](http://search.cpan.org/perldoc?Test::Perl::Critic) and [Perl::Critic](http://search.cpan.org/perldoc?Perl::Critic) for details.
-You can set a perlcritic config file:
+ You can set a perlcritic config file:
- [@TestingMania]
- critic_config = perlcriticrc
+ [@TestingMania]
+ critic_config = perlcriticrc
- [Dist::Zilla::Plugin::Test::DistManifest](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::Test::DistManifest), which tests `MANIFEST` for
correctness. See [Test::DistManifest](http://search.cpan.org/perldoc?Test::DistManifest) for details.
@@ -42,9 +42,9 @@ used (and also checks for trailing whitespace). See [Test::EOL](http://search.cp
version numbers, and that they are valid. See [Test::Version](http://search.cpan.org/perldoc?Test::Version) for exactly
what that means.
-You can set `strict_version` and `has_version`, and they'll be passed through to
-the plugin as `is_strict` and `has_version` respectively. See the
-documentation of [Test::Version](http://search.cpan.org/perldoc?Test::Version) for a description of these options.
+ You can set `strict_version` and `has_version`, and they'll be passed through to
+ the plugin as `is_strict` and `has_version` respectively. See the
+ documentation of [Test::Version](http://search.cpan.org/perldoc?Test::Version) for a description of these options.
- [Dist::Zilla::Plugin::Test::Kwalitee](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::Test::Kwalitee), which performs some basic kwalitee checks.
_Kwalitee_ is an automatically-measurable guage of how good your software is.
@@ -56,8 +56,10 @@ actual quality. See [Test::Kwalitee](http://search.cpan.org/perldoc?Test::Kwalit
on `META.json`, if it exists. See [Test::CPAN::Meta::JSON](http://search.cpan.org/perldoc?Test::CPAN::Meta::JSON) for what that
means.
- [Dist::Zilla::Plugin::Test::MinimumVersion](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::Test::MinimumVersion), which tests for the minimum
-required version of perl. See [Test::MinimumVersion](http://search.cpan.org/perldoc?Test::MinimumVersion) for details, including
-limitations.
+required version of perl. Give the highest version of perl you intend to
+require as `max_target_perl`. The generated test will fail if you accidentally
+used features from a version of perl newer than that. See
+[Test::MinimumVersion](http://search.cpan.org/perldoc?Test::MinimumVersion) for details and limitations.
- [Dist::Zilla::Plugin::MojibakeTests](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::MojibakeTests), which tests for the correct
source/documentation character encoding.
- [Dist::Zilla::Plugin::NoTabsTests](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::NoTabsTests), which ensures you don't use _The Evil
@@ -80,10 +82,10 @@ See [Test::Pod::LinkCheck](http://search.cpan.org/perldoc?Test::Pod::LinkCheck)
- [Dist::Zilla::Plugin::Test::CPAN::Changes](http://search.cpan.org/perldoc?Dist::Zilla::Plugin::Test::CPAN::Changes), which checks your changelog for
conformance with [CPAN::Changes::Spec](http://search.cpan.org/perldoc?CPAN::Changes::Spec). See [Test::CPAN::Changes](http://search.cpan.org/perldoc?Test::CPAN::Changes) for details.
-Set `changelog` in `dist.ini` if you don't use `Changes`:
+ Set `changelog` in `dist.ini` if you don't use `Changes`:
- [@TestingMania]
- changelog = CHANGELOG
+ [@TestingMania]
+ changelog = CHANGELOG
## Disabling Tests
Please sign in to comment.
Something went wrong with that request. Please try again.